LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-15-2017, 09:56 AM   #1
commandlinegamer
Member
 
Registered: Dec 2007
Posts: 132

Rep: Reputation: 35
ffmpeg fails to compile gnutls x509.h error


I'm running 14.2 stable, 64-bit, no multilib, including the packages from the patches directory installed.

Installed the dependencies, then started the compile for ffmpeg, but with gnutls enabled it stops with several dozen errors, similar to this.

Code:
/usr/include/gnutls/x509.h:12:1: error: stray '\354' in program
/usr/include/gnutls/x509.h:12:1: error: stray '\210' in program
/usr/include/gnutls/x509.h:12:1: error: stray '\377' in program
I used the following script to run the compile:

Code:
ASS=yes \
BLURAY=yes \
BS2B=yes \
CELT=yes \
CHROMAPRINT=yes \
DC1394=yes \
DECKLINK=no \
EBUR128=yes \
FDK_AAC=yes \
FLITE=yes \
FREI0R=yes \
GME=yes \
GSM=yes \
IEC61883=yes \
ILBC=yes \
LADSPA=yes \
LAME=yes \
MODPLUG= \
NETCDF=yes \
NAL=yes \
OPENCORE=yes \
OPENCV=yes \
OPUS=yes \
OPENSSL=no \
RTMP=yes \
RUBBERBAND=yes \
SCHROEDINGER=yes \
SNAPPY=yes \
SPEEX=yes \
TESSERACT=yes \
TWOLAME=yes \
VIDSTAB=yes \
WEBP=yes \
X264=yes \
X265=yes \
XVID=yes \
ZMQ=yes \
ZVBI=yes \
./ffmpeg.SlackBuild
I successfully compiled it by disabling gnutls but just wondered if anyone else had a similar problem?
 
Old 05-15-2017, 06:21 PM   #2
andrew.46
Senior Member
 
Registered: Oct 2007
Distribution: Slackware
Posts: 1,000

Rep: Reputation: 243Reputation: 243Reputation: 243
My own situation is a little different as I run -current on multilib and use my own FFmpeg slackbuild script for the development version of FFmpeg.

Under these circumstances FFmpeg builds fine with --enable-gnutls specified...
 
Old 05-19-2017, 03:14 AM   #3
commandlinegamer
Member
 
Registered: Dec 2007
Posts: 132

Original Poster
Rep: Reputation: 35
Appears to have been a problem with the update for gnutls, because when I reinstalled it, I was able to compile ffmpeg successfully.

I found that out because I had similar issues yesterday trying to compile a couple of programs which required GTK2, and reinstalling that, solved that issue.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GnuTLS error -53: Error in the push function | vsftpd and explicit FTP over TLS Kaiser Soze Linux - Server 0 09-05-2011 05:53 PM
ffmpeg fails to compile skillednerd Linux - Software 6 04-26-2011 04:57 AM
Mplayer - very strange compile error with ffmpeg sadarax Linux - Software 3 02-07-2007 02:05 AM
compile amarok fails with ktrm.cpp error pwc101 Linux - Software 2 10-28-2006 03:56 AM
really slick savers compile error suse 9.1 fails on hyperspace netsurf SUSE / openSUSE 1 06-19-2005 08:23 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 03:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration